Subject: bug#845 closed by fsmithred <[email-masked]> (Re: bug#845: GRUB menu not transparent)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 08 Apr 2025 11:40:02 +0000

This is an automatic notification regarding your bug report
which was filed against the desktop-base package:

#845: GRUB menu not transparent

It has been closed by fsmithred <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact fsmithred <[email-masked]> by
replying to this email.

-- 
845: https://bugs.devuan.org/cgi/bugreport.cgi?bug=845
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#845: GRUB menu not transparent
From: fsmithred <[email-masked]>
To: [email-masked]
Date: Tue, 8 Apr 2025 07:37:40 -0400

close

I looked back at older versions of desktop-base back to jessie and there's 
been no change with /usr/share/desktop-base/grub_background.sh. It has 
always pointed to nothing. I don't think that's the problem here.

I was reminded that there is a problem with the installer getting the grub 
theme right. The problem is that desktop-base gets installed before grub 
but it needs to edit a file that gets installed with grub. (/etc/default/grub)

This was fixed by adding a script that runs at the very end of the 
installation, and it's possible to quit the installer before this happens. 
The result is that you don't get the grub theme.

I'm closing this bug report. It can be re-opened with more information if 
it's still a problem.

fsmithred

Subject: GRUB menu not transparent
From: Jerzy Sobczyk <[email-masked]>
To: [email-masked]
Date: Fri, 29 Mar 2024 23:29:31 +0100

Package: grub
Version: 2.06-13+deb12u1

Hello.

The file /usr/share/desktop-base/grub_background.sh
points to nonexisting image:
WALLPAPER=/usr/share/images/desktop-base/desktop-grub.png

After installation of Devuan 5.0 Dedalus I have packages:
ii  grub-common                                   2.06-13+deb12u1
                   amd64        GRand Unified Bootloader (common
files)
ii  grub-efi-amd64                                2.06-13+deb12u1
                   amd64        GRand Unified Bootloader, version 2
(EFI-AMD64 version)
ii  grub-efi-amd64-bin                            2.06-13+deb12u1
                   amd64        GRand Unified Bootloader, version 2
(EFI-AMD64 modules)
ii  grub-efi-amd64-signed                         1+2.06+13+deb12u1
                   amd64        GRand Unified Bootloader, version 2
(amd64 UEFI signed by Debian)
ii  grub2-common                                  2.06-13+deb12u1
                   amd64        GRand Unified Bootloader (common files
for version 2)

And the image is not present in them.
As a result the menu has blue not transparent background.

With Best Regards,
    Jerzy